//==================================================================
//              PU-1201 & KIROBO BODY SAMPLE PROGRAM 1-3
//  SW1を押してプログラムをスタート。
//　途中でブレーキを掛けながら高速で右スピンし、その後、
//　途中でモーターオフをしながら高速で左スピンします。
//　「ブレーキ」と「オフ」の違いを見てみましょう。
//==================================================================
int MOTOR2_PWM = 100;     //左モーター出力割合　0-100%            ==      
int MOTOR1_PWM = 100;     //右モーター出力割合　0-100%            ==
int THRESHOLD  = 700;     //光センサーしきい値  0-1023            ==
//==================================================================
//ライブラリを使用するための命令です////////////////////////////////
#include "elekitKIROBO.h"          //QUICK PROGRAM SETTING FILE1  ==
#include "elekitSETTING.txt"       //QUICK PROGRAM SETTING FILE2  ==
//==================================================================
// 新しく作る変数はここに書きます///////////////////////////////////

//=================================================================
//                  KIROBO ACTION MAIN PROGRAM
//=================================================================
void actKirobo(){
  BUZZ.M();  delay(500);    //動き始める前にブザーを鳴らします。
  BUZZ.M();  delay(500);
  BUZZ.M();  delay(500);
  BUZZ.H();  delay(500);

  for(int i=1; i<=10; i++){
    RSPIN.H(0);
    delay(50);
    BUZZ.H();
    MOT.BRAKE(0);
    delay(200);
  }
  delay(1000);
  
  for(int i=1; i<=10; i++){
    LSPIN.H(0);
    delay(50);
    BUZZ.H();
    MOT.OFF(0);
    delay(200);
  }
  delay(1000);
}
//=================================================================
//ライブラリ使用時に使える専用命令の一覧
//  FWD.H/M/L(0 or 1-30000);    1-30000を設定時は、設定時間動作後にブレーキ
// BACK.H/M/L(0 or 1-30000);
// LFWD.H/M/L(0 or 1-30000);
// RFWD.H/M/L(0 or 1-30000);
// LBACK.H/M/L(0 or 1-30000);
// RBACK.H/M/L(0 or 1-30000);
// LSPIN.H/M/L(0 or 1-30000);
// RSPIN.H/M/L(0 or 1-30000);   
// MOT.BRAKE/OFF(0 or 1-30000);
// CHECK.LIGHT(1 or 2);
// CHECK.TOUCH(1 or 2);
// CHECK.SW(1);
// BUZZ.H/M/L();
// LED.ON/OFF();
//=================================================================
