//==================================================================
//              PU-1201 & KIROBO BODY SAMPLE PROGRAM1-1
//  SW1を押してプログラムをスタート。
//　3秒前進して、3秒バックを繰り返します。
//==================================================================
int MOTOR2_PWM = 100;     //左モーター出力割合　0-100%            ==      
int MOTOR1_PWM = 100;     //右モーター出力割合　0-100%            ==
int THRESHOLD  = 700;     //光センサーしきい値  0-1023            ==
//==================================================================
//ライブラリを使用するための命令です////////////////////////////////
#include "elekitKIROBO.h"          //QUICK PROGRAM SETTING FILE1  ==
#include "elekitSETTING.txt"       //QUICK PROGRAM SETTING FILE2  ==
//==================================================================
// 新しく作る変数はここに書きます///////////////////////////////////

//=================================================================
//                  KIROBO ACTION MAIN PROGRAM
//=================================================================
void actKirobo(){
  BUZZ.M();          //動き始める前にブザーを鳴らします。
  BUZZ.M();
  BUZZ.M();
  BUZZ.H();
  
  FWD.L(3000);        //3000ミリ秒つまり3秒間前進します。
  BUZZ.H();          //ブザーを鳴らしながら、3秒間バックします。
  delay(500);
  
  BACK.L(0);
  delay(500);
  BUZZ.H();
  delay(500);
  BUZZ.H();
  delay(500);
  BUZZ.H();
  delay(500);
  BUZZ.H();
  delay(500);
  MOT.BRAKE(0);
  BUZZ.H();
  delay(2000);
}
//=================================================================
//ライブラリ使用時に使える専用命令の一覧
//  FWD.H/M/L(0 or 1-30000);    1-30000を設定時は、設定時間動作後にブレーキ
// BACK.H/M/L(0 or 1-30000);
// LFWD.H/M/L(0 or 1-30000);
// RFWD.H/M/L(0 or 1-30000);
// LBACK.H/M/L(0 or 1-30000);
// RBACK.H/M/L(0 or 1-30000);
// LSPIN.H/M/L(0 or 1-30000);
// RSPIN.H/M/L(0 or 1-30000);   
// MOT.BRAKE/OFF(0 or 1-30000);
// CHECK.LIGHT(1 or 2);
// CHECK.TOUCH(1 or 2);
// CHECK.SW(1);
// BUZZ.H/M/L();
// LED.ON/OFF();
//=================================================================
