#ifndef elekitKIROBO_h
#define elekitKIROBO_h
#include "Arduino.h"
// PU-1201 Shield <-> Arduino-Board PIN-Assign
#define StartSW 3  //Digital-Pin
#define MotorA1 4
#define MotorA2 5
#define MotorB1 6
#define MotorB2 7
#define LED_M1  8
#define PWM_A   9
#define PWM_B   10
#define BZ      11
#define LED_M2  12
#define LED_PG  13
#define Sens2   A0  //Analog-Pin
#define Touch2  A1  //Analog-Pin
#define Sens1   A2  //Analog-Pin
#define Touch1  A3  //Analog-Pin

class MOVEfwd{
  public:
  MOVEfwd(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVEback{
  public:
  MOVEback(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVERfwd{
  public:
  MOVERfwd(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVELfwd{
  public:
  MOVELfwd(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVERback{
  public:
  MOVERback(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVELback{
  public:
  MOVELback(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVERspin{
  public:
  MOVERspin(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOVELspin{
  public:
  MOVELspin(int a1, int b1);
  void H(int);  void M(int);  void L(int);
  private:
  int acttime;
  int pahv;  int pbhv;  int pamv;
  int pbmv;  int palv;  int pblv;
};
class MOTORstop{
  public:
  MOTORstop();
  void BRAKE(int);
  void OFF(int);
  private:
  int acttime;
};
class CONTROLbuzzer{
  public:
  CONTROLbuzzer();
  void H();  void M();  void L();
  void WAKEUP();
};
class CONTROLLED{
  public:
  CONTROLLED();
  void ON();
  void OFF();
};
class INPUTcheck{
  public:
  INPUTcheck(int thresholdval);
  boolean LIGHT(int);
//  boolean LIGHT2();
  boolean TOUCH(int);
//  boolean TOUCH2();
  boolean SW(int);
  private:
  int a;
  int pinnumber;
  int thval;
};
class PINASSGIN
{
  public:
  PINASSGIN();
  void SET();
};
#endif

